package com.example.demos.web.MQTT;

import lombok.extern.log4j.Log4j2;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.eclipse.paho.client.mqttv3.MqttConnectOptions;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.eclipse.paho.client.mqttv3.persist.MemoryPersistence;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/20
 */
@Log4j2
public class PublishSample {
    public static void main(String[] args) throws Exception {
        String broker = "tcp://broker.emqx.io:1883";
        String topic = "mqtt/test";
        String username = "emqx";
        String password = "public";
        String clientid = "publish_client";
        String content = "Hello MQTT";
        int qos = 0;

        MqttClient client = new MqttClient(broker, clientid, new MemoryPersistence());

        //连接参数
        MqttConnectOptions options = new MqttConnectOptions();
        //设置用户名和密码
        options.setUserName(username);
        options.setPassword(password.toCharArray());
        options.setConnectionTimeout(60);
        options.setKeepAliveInterval(60);

        //连接
        client.connect(options);
        //创建消息并设置Qos
        MqttMessage message = new MqttMessage(content.getBytes());
        message.setQos(qos);
        client.publish(topic,message);
        log.info("Message published");
        System.out.println("topic  "+topic);
        System.out.println("message content "+content);
        client.disconnect();
        client.close();
    }
}
