package com.example.demos.web;

import lombok.extern.log4j.Log4j2;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/20 10:05
 * @description
 */
@Slf4j
public class Test {
    /**
     * 测试
     * @param args
     */
    public static void main(String[] args) {
        Service service = new Service();
        List<Long> userIds = generateUserIds();
        long start = System.currentTimeMillis();
        Map<Long, String> stringMap = service.get(userIds);
        long end = System.currentTimeMillis();
        long l=end - start;
        log.info("耗时：" + (end-start)  +"ms");
        log.info("结果：" + stringMap);
    }

    /**
     * 生成1000用户id
     * @return
     */
    private static List<Long> generateUserIds() {
        List<Long> userIds = new ArrayList<>();
        for (int i = 0; i < 1000; i++) {
            userIds.add((long) i);
        }
        return userIds;
    }
}
