package com.example.demos.web;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/20 9:55
 * @description
 */
public class UserService {
    /**
     * 通过userId获取用户信息
     * @param userIds
     * @return
     */
    public static Map<Long, String> getUserMap(List<Long> userIds) {
        //模拟耗时100ms请求
        try {
            Thread.sleep(100);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

        Map<Long, String> userMap = new ConcurrentHashMap<>();
        for (Long userId : userIds) {
            String userInfo = getUserInfo(userId);
            userMap.put(userId, userInfo);
        }
        return userMap;
    }

    /**
     * 模拟获取用户信息
     * @param userId
     * @return
     */
    private static String getUserInfo(Long userId) {
        return "User" + userId;
    }
}
